Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3045)
@@ -5018,55 +5025,55 @@
 !--       The current time must be larger than the last output time
 !--       on the file.
-          nc_stat = NF90_INQ_VARID( id_set_prt, 'time', id_var_time_prt )
-          CALL netcdf_handle_error( 'netcdf_define_header', 323 )
-
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_prt, id_var_time_prt, &
-                                           dimids = id_dim_time_old )
-          CALL netcdf_handle_error( 'netcdf_define_header', 324 )
-          id_dim_time_prt = id_dim_time_old(1)
-
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_prt, id_dim_time_prt, &
-                                            len = prt_time_count )
-          CALL netcdf_handle_error( 'netcdf_define_header', 325 )
-
-          nc_stat = NF90_GET_VAR( id_set_prt, id_var_time_prt,  &
-                                  last_time_coordinate,         &
-                                  start = (/ prt_time_count /), &
-                                  count = (/ 1 /) )
-          CALL netcdf_handle_error( 'netcdf_define_header', 326 )
-
-          IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for particles ' //               &
-                              'from previous run found,' //                 &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
-                              '&New file is created instead.'
-             CALL message( 'define_netcdf_header', 'PA0265', 0, 1, 0, 6, 0 )
-             prt_time_count = 0
-             extend = .FALSE.
-             RETURN
-          ENDIF
+!          nc_stat = NF90_INQ_VARID( id_set_prt, 'time', id_var_time_prt )
+!          CALL netcdf_handle_error( 'netcdf_define_header', 323 )
+
+!          nc_stat = NF90_INQUIRE_VARIABLE( id_set_prt, id_var_time_prt, &
+!                                           dimids = id_dim_time_old )
+!          CALL netcdf_handle_error( 'netcdf_define_header', 324 )
+!          id_dim_time_prt = id_dim_time_old(1)
+
+!          nc_stat = NF90_INQUIRE_DIMENSION( id_set_prt, id_dim_time_prt, &
+!                                            len = prt_time_count )
+!          CALL netcdf_handle_error( 'netcdf_define_header', 325 )
+
+!          nc_stat = NF90_GET_VAR( id_set_prt, id_var_time_prt,  &
+!                                  last_time_coordinate,         &
+!                                  start = (/ prt_time_count /), &
+!                                  count = (/ 1 /) )
+!          CALL netcdf_handle_error( 'netcdf_define_header', 326 )
+
+!          IF ( last_time_coordinate(1) >= simulated_time )  THEN
+!             message_string = 'netCDF file for particles ' //                  &
+!                              'from previous run found,' //                    &
+!                              ' but this file cannot be extended becaus' //    &
+!                              'e the current output time' //                   &
+!                              ' is less or equal than the last output t' //    &
+!                              'ime on this file.' //                           &
+!                              ' New file is created instead.'
+!             CALL message( 'define_netcdf_header', 'PA0265', 0, 1, 0, 6, 0 )
+!             prt_time_count = 0
+!             extend = .FALSE.
+!             RETURN
+!          ENDIF
 
 !
 !--       Dataset seems to be extendable.
 !--       Now get the variable ids.
-          nc_stat = NF90_INQ_VARID( id_set_prt, 'real_num_of_prt', &
-                                    id_var_rnop_prt )
-          CALL netcdf_handle_error( 'netcdf_define_header', 327 )
-
-          DO  i = 1, 17
-
-             nc_stat = NF90_INQ_VARID( id_set_prt, prt_var_names(i), &
-                                       id_var_prt(i) )
-             CALL netcdf_handle_error( 'netcdf_define_header', 328 )
-
-          ENDDO
-
-          message_string = 'netCDF file for particles ' // &
-                           'from previous run found.' //   &
-                           '&This file will be extended.'
-          CALL message( 'define_netcdf_header', 'PA0266', 0, 0, 0, 6, 0 )
+!         nc_stat = NF90_INQ_VARID( id_set_prt, 'real_num_of_prt',             &
+!                                   id_var_rnop_prt )
+!         CALL netcdf_handle_error( 'netcdf_define_header', 327 )
+
+!          DO  i = 1, 17
+
+!             nc_stat = NF90_INQ_VARID( id_set_prt, prt_var_names(i),           &
+!                                       id_var_prt(i) )
+!             CALL netcdf_handle_error( 'netcdf_define_header', 328 )
+
+!          ENDDO
+
+!          message_string = 'netCDF file for particles ' //                     &
+!                           'from previous run found.' //                       &
+!                           ' This file will be extended.'
+!          CALL message( 'define_netcdf_header', 'PA0266', 0, 0, 0, 6, 0 )
         
 
@@ -5076,5 +5083,5 @@
 !
 !--       Define some global attributes of the dataset
-          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title', &
+          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title',            &
                                   TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 396 )
@@ -5173,9 +5180,9 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for particle time series ' //     &
-                              'from previous run found,' //                  &
-                              '& but this file cannot be extended due to' // &
-                              ' variable mismatch.' //                       &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for particle time series ' //       &
+                              'from previous run found,' //                    &
+                              ' but this file cannot be extended due to' //    &
+                              ' variable mismatch.' //                         &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0267', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -5207,11 +5214,11 @@
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for particle time series ' //    &
-                              'from previous run found,' //                 &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for particle time series ' //       &
+                              'from previous run found,' //                    &
+                              ' but this file cannot be extended becaus' //    &
+                              'e the current output time' //                   &
+                              ' is less or equal than the last output t' //    &
+                              'ime on this file.' //                           &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0268', 0, 1, 0, 6, 0 )
              dopts_time_count = 0
@@ -5255,12 +5262,12 @@
           nc_stat = NF90_REDEF( id_set_pts )
           CALL netcdf_handle_error( 'netcdf_define_header', 443 )
-          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title', &
+          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title',            &
                                   TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 411 )
           nc_stat = NF90_ENDDEF( id_set_pts )
           CALL netcdf_handle_error( 'netcdf_define_header', 444 )
-          message_string = 'netCDF file for particle time series ' // &
-                           'from previous run found.' //              &
-                           '&This file will be extended.'
+          message_string = 'netCDF file for particle time series ' //          &
+                           'from previous run found.' //                       &
+                           ' This file will be extended.'
           CALL message( 'netcdf_define_header', 'PA0269', 0, 0, 0, 6, 0 )
 
@@ -5355,7 +5362,7 @@
              message_string = 'netCDF file for flight time series ' //         &
                               'from previous run found,' //                    &
-                              '& but this file cannot be extended due to' //   &
+                              ' but this file cannot be extended due to' //    &
                               ' variable mismatch.' //                         &
-                              '&New file is created instead.'
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0257', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -5371,10 +5378,10 @@
           CALL netcdf_handle_error( 'netcdf_define_header', 261 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_fl, id_var_time_fl, &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_fl, id_var_time_fl,          &
                                            dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 262 )
           id_dim_time_fl = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_fl, id_dim_time_fl, &
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_fl, id_dim_time_fl,         &
                                             len = dofl_time_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 263 )
@@ -5387,11 +5394,11 @@
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for flight-time series ' //      &
-                              'from previous run found,' //                 &
-                              '&but this file cannot be extended becaus' // &
-                              'e the current output time' //                &
-                              '&is less or equal than the last output t' // &
-                              'ime on this file.' //                        &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for flight-time series ' //         &
+                              'from previous run found,' //                    &
+                              ' but this file cannot be extended becaus' //    &
+                              'e the current output time' //                   &
+                              ' is less or equal than the last output t' //    &
+                              'ime on this file.' //                           &
+                              ' New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0258', 0, 1, 0, 6, 0 )
              dofl_time_count = 0
@@ -5441,5 +5448,5 @@
           message_string = 'netCDF file for flight-time series ' //            &
                            'from previous run found.' //                       &
-                           '&This file will be extended.'
+                           ' This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0259', 0, 0, 0, 6, 0 )
 
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 3022 2018-05-18 11:12:35Z suehring
 ! Bugfix in allocation of transpiration rate
 ! 
@@ -359,9 +362,9 @@
        IF ( canopy_drag_coeff == 0.0_wp )  THEN
           message_string = 'plant_canopy = .TRUE. requires a non-zero drag '// &
-                           'coefficient & given value is canopy_drag_coeff = 0.0'
+                           'coefficient, given value is canopy_drag_coeff = 0.0'
           CALL message( 'pcm_check_parameters', 'PA0041', 1, 2, 0, 6, 0 )
        ENDIF
     
-       IF ( ( alpha_lad /= 9999999.9_wp  .AND.  beta_lad == 9999999.9_wp )  .OR.&
+       IF ( ( alpha_lad /= 9999999.9_wp  .AND.  beta_lad == 9999999.9_wp ) .OR.&
               beta_lad /= 9999999.9_wp   .AND.  alpha_lad == 9999999.9_wp )  THEN
           message_string = 'using the beta function for the construction ' //  &
Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3022 2018-05-18 11:12:35Z suehring
 ! Minor fix - working precision added to real number
 ! 
@@ -4107,6 +4110,6 @@
        IF ( end_time /= end_time_root )  THEN
           WRITE( message_string, * )  'mismatch between root model and ',      &
-               'child settings &   end_time(root) = ', end_time_root,          &
-               ' &   end_time(child) = ', end_time, ' & child value is set',   &
+               'child settings: end_time(root) = ', end_time_root,             &
+               ' end_time(child) = ', end_time, ' child value is set',         &
                ' to root value'
           CALL message( 'pmci_check_setting_mismatches', 'PA0419', 0, 1, 0, 6, &
@@ -4123,6 +4126,6 @@
        IF ( restart_time /= restart_time_root )  THEN
           WRITE( message_string, * )  'mismatch between root model and ',      &
-               'child settings &   restart_time(root) = ', restart_time_root,  &
-               ' &   restart_time(child) = ', restart_time, ' & child ',       &
+               'child settings: restart_time(root) = ', restart_time_root,     &
+               ' restart_time(child) = ', restart_time, ' child ',             &
                'value is set to root value'
           CALL message( 'pmci_check_setting_mismatches', 'PA0419', 0, 1, 0, 6, &
@@ -4139,6 +4142,6 @@
        IF ( dt_restart /= dt_restart_root )  THEN
           WRITE( message_string, * )  'mismatch between root model and ',      &
-               'child settings &   dt_restart(root) = ', dt_restart_root,      &
-               ' &   dt_restart(child) = ', dt_restart, ' & child ',           &
+               'child settings: dt_restart(root) = ', dt_restart_root,          &
+               ' dt_restart(child) = ', dt_restart, ' child ',                 &
                'value is set to root value'
           CALL message( 'pmci_check_setting_mismatches', 'PA0419', 0, 1, 0, 6, &
@@ -4155,6 +4158,6 @@
        IF ( time_restart /= time_restart_root )  THEN
           WRITE( message_string, * )  'mismatch between root model and ',      &
-               'child settings &   time_restart(root) = ', time_restart_root,  &
-               ' &   time_restart(child) = ', time_restart, ' & child ',       &
+               'child settings: time_restart(root) = ', time_restart_root,  &
+               ' time_restart(child) = ', time_restart, ' child ',             &
                'value is set to root value'
           CALL message( 'pmci_check_setting_mismatches', 'PA0419', 0, 1, 0, 6, &
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3045)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 3026 2018-05-22 10:30:53Z schwenkel
 ! Changed the name specific humidity to mixing ratio, since we are computing
 ! mixing ratios.
@@ -1332,7 +1335,7 @@
           IF ( albedo_type == 0  .AND.  albedo == 9999999.9_wp  .AND.          &
                radiation_scheme == 'clear-sky')  THEN
-             message_string = 'radiation_scheme = "clear-sky" in combination' //& 
-                              'with albedo_type = 0 requires setting of albedo'//&
-                              ' /= 9999999.9'
+             message_string = 'radiation_scheme = "clear-sky" in combination'//& 
+                              'with albedo_type = 0 requires setting of'//     &
+                              'albedo /= 9999999.9'
              CALL message( 'check_parameters', 'PA0410', 1, 2, 0, 6, 0 )
           ENDIF
Index: palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3004 2018-04-27 12:33:25Z Giersch
 ! precipitation_rate_av removed
 ! 
@@ -164,9 +167,9 @@
        binary_version_global = '4.7'
        IF ( TRIM( version_on_file ) /= TRIM( binary_version_global ) )  THEN
-          WRITE( message_string, * ) 'version mismatch concerning control ',   &
-                                     'variables',                              &
-                                     '&version on file    = "',                &
+          WRITE( message_string, * ) 'version mismatch concerning ',           &
+                                     'binary_version_global:',                 &
+                                     ' version on file    = "',                &
                                      TRIM( version_on_file ), '"',             &
-                                     '&version on program = "',                &
+                                     ' version on program = "',                &
                                      TRIM( binary_version_global ), '"'
           CALL message( 'rrd_global', 'PA0296', 1, 2, 0, 6, 0 )
@@ -887,7 +890,7 @@
        IF ( nz_on_file /= nz )  THEN
           WRITE( message_string, * ) 'mismatch concerning number of ',         &
-                                     'gridpoints along z',                     &
-                                     '&nz on file    = "', nz_on_file, '"',    &
-                                     '&nz from run   = "', nz, '"'
+                                     'gridpoints along z:',                    &
+                                     ' nz on file    = "', nz_on_file, '"',    &
+                                     ' nz from run   = "', nz, '"'
           CALL message( 'rrd_read_parts_of_global', 'PA0304', 1, 2, 0, 6, 0 )
        ENDIF
@@ -904,7 +907,7 @@
           WRITE( message_string, * ) 'number of user profiles on res',         &
                                      'tart data file differs from the ',       &
-                                     'current run&max_pr_user on file    = "', &
+                                     'current run: max_pr_user on file    = "',&
                                      max_pr_user_on_file, '"',                 &
-                                     '&max_pr_user from run   = "',            &
+                                     ' max_pr_user from run   = "',            &
                                      max_pr_user, '"'
           CALL message( 'rrd_read_parts_of_global', 'PA0306', 0, 0, 0, 6, 0 )
@@ -924,10 +927,10 @@
        IF ( statistic_regions_on_file /= statistic_regions )  THEN
           WRITE( message_string, * ) 'statistic regions on restart data file ',&
-                                     'differ from the current run',            &
-                                     '&statistic regions on file    = "',      &
+                                     'differ from the current run:',           &
+                                     ' statistic regions on file    = "',      &
                                      statistic_regions_on_file, '"',           &
-                                     '&statistic regions from run   = "',      &
+                                     ' statistic regions from run   = "',      &
                                       statistic_regions, '"',                  &
-                                     '&statistic data may be lost!'
+                                     ' statistic data may be lost!'
           CALL message( 'rrd_read_parts_of_global', 'PA0308', 0, 1, 0, 6, 0 )
           tmp_sr = MIN( statistic_regions_on_file, statistic_regions )
@@ -949,5 +952,5 @@
                 IF ( average_count_pr /= 0 )  THEN
                    WRITE( message_string, * ) 'inflow profiles not ',          &
-                                  'temporally averaged. &Averaging will be ',  &
+                                  'temporally averaged.  Averaging will be ',  &
                                   'done now using', average_count_pr,          & 
                                   ' samples.'
@@ -1242,5 +1245,5 @@
     THEN
        WRITE( message_string, * ) 'number of PEs or virtual PE-grid changed ', &
-                        'in restart run&  PE', myid, ' will read from files ', &
+                        'in restart run  PE', myid, ' will read from files ', &
                          file_list(1:files_to_be_opened)
        CALL message( 'rrd_local', 'PA0285', 0, 0, 0, 6, 0 )
@@ -1271,8 +1274,8 @@
        binary_version_local = '4.7'
        IF ( TRIM( version_on_file ) /= TRIM( binary_version_local ) )  THEN
-          WRITE( message_string, * ) 'version mismatch concerning data ',      &
-                      'from prior run',                                        &
-                      '&version on file    = "', TRIM( version_on_file ), '"', &
-                      '&version in program = "', TRIM( binary_version_local ), '"'
+          WRITE( message_string, * ) 'version mismatch concerning ',           &
+                      'binary_version_local:',                                 &
+                      ' version on file    = "', TRIM( version_on_file ), '"', &
+                      ' version in program = "', TRIM( binary_version_local ), '"'
           CALL message( 'rrd_local', 'PA0286', 1, 2, 0, 6, 0 )
        ENDIF
@@ -1287,7 +1290,7 @@
           WRITE( message_string, * ) 'problem with index bound nxl on ',       &
                             'restart file "', myid_char, '"',                  &
-                            '&nxl = ', nxl_on_file, ' but it should be',       &
-                            '&= ', hor_index_bounds_previous_run(1,j),         &
-                            '&from the index bound information array'
+                            ' nxl = ', nxl_on_file, ' but it should be',       &
+                            ' = ', hor_index_bounds_previous_run(1,j),         &
+                            ' from the index bound information array'
           CALL message( 'rrd_local', 'PA0287', 2, 2, -1, 6, 1 )
        ENDIF
@@ -1296,7 +1299,7 @@
            WRITE( message_string, * ) 'problem with index bound nxr on ',      &
                                'restart file "', myid_char, '"'  ,             &
-                               '&nxr = ', nxr_on_file, ' but it should be',    &
-                               '&= ', hor_index_bounds_previous_run(2,j),      &
-                               '&from the index bound information array' 
+                               ' nxr = ', nxr_on_file, ' but it should be',    &
+                               ' = ', hor_index_bounds_previous_run(2,j),      &
+                               ' from the index bound information array' 
           CALL message( 'rrd_local', 'PA0288', 2, 2, -1, 6, 1 )
 
@@ -1306,7 +1309,7 @@
           WRITE( message_string, * ) 'problem with index bound nys on ',       &
                                  'restart file "', myid_char, '"',             &
-                                 '&nys = ', nys_on_file, ' but it should be',  &
-                                 '&= ', hor_index_bounds_previous_run(3,j),    &
-                                     '&from the index bound information array'
+                                 ' nys = ', nys_on_file, ' but it should be',  &
+                                 ' = ', hor_index_bounds_previous_run(3,j),    &
+                                 ' from the index bound information array'
           CALL message( 'rrd_local', 'PA0289', 2, 2, -1, 6, 1 ) 
        ENDIF
@@ -1315,7 +1318,7 @@
           WRITE( message_string, * ) 'problem with index bound nyn on ',       &
                                'restart file "', myid_char, '"',               &
-                               '&nyn = ', nyn_on_file, ' but it should be',    &
-                               '&= ', hor_index_bounds_previous_run(4,j),      &
-                               '&from the index bound information array'
+                               ' nyn = ', nyn_on_file, ' but it should be',    &
+                               ' = ', hor_index_bounds_previous_run(4,j),      &
+                               ' from the index bound information array'
           CALL message( 'rrd_local', 'PA0290', 2, 2, -1, 6, 1 ) 
        ENDIF
@@ -1323,7 +1326,7 @@
        IF ( nzb_on_file /= nzb )  THEN
           WRITE( message_string, * ) 'mismatch between actual data and data ', &
-                                     '&from prior run on PE ', myid,           &
-                                     '&nzb on file = ', nzb_on_file,           &
-                                     '&nzb         = ', nzb
+                                     'from prior run on PE ', myid,            &
+                                     ' nzb on file = ', nzb_on_file,           &
+                                     ' nzb         = ', nzb
           CALL message( 'rrd_local', 'PA0291', 1, 2, 0, 6, 0 )  
        ENDIF
@@ -1331,7 +1334,7 @@
        IF ( nzt_on_file /= nzt )  THEN
           WRITE( message_string, * ) 'mismatch between actual data and data ', &
-                                     '&from prior run on PE ', myid,           &
-                                     '&nzt on file = ', nzt_on_file,           &
-                                     '&nzt         = ', nzt
+                                     'from prior run on PE ', myid,            &
+                                     ' nzt on file = ', nzt_on_file,           &
+                                     ' nzt         = ', nzt
           CALL message( 'rrd_local', 'PA0292', 1, 2, 0, 6, 0 )  
        ENDIF
Index: palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- palm/trunk/SOURCE/spectra_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/spectra_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 2956 2018-04-10 11:01:03Z Giersch
 ! spectrum_x and spectrum_y will only be allocated if they are not allocated 
 ! before (e.g. in case of restart runs) 
@@ -472,5 +475,5 @@
 
                 message_string = 'non-cyclic lateral boundaries along x do'//  &
-                                 ' not & allow calculation of spectra along x'
+                                 ' not allow calculation of spectra along x'
                 CALL message( 'calc_spectra', 'PA0160', 1, 2, 0, 6, 0 )
              ENDIF
@@ -488,5 +491,5 @@
 #else
              message_string = 'sorry, calculation of spectra in non paral' //  &
-                              'lel mode& is still not realized'
+                              'lel mode is still not realized'
              CALL message( 'calc_spectra', 'PA0161', 1, 2, 0, 6, 0 )
 #endif
@@ -504,6 +507,6 @@
                 IF ( myid == 0 )  THEN
                    message_string = 'non-cyclic lateral boundaries along y' // &
-                                    ' do not & allow calculation of spectr' // &
-                                    'a along y'
+                                    ' do not allow calculation of spectra' //  &
+                                    ' along y'
                    CALL message( 'calc_spectra', 'PA0162', 1, 2, 0, 6, 0 )
                 ENDIF
@@ -518,5 +521,5 @@
 #else
              message_string = 'sorry, calculation of spectra in non paral' //  &
-                              'lel mode& is still not realized'
+                              'lel mode is still not realized'
              CALL message( 'calc_spectra', 'PA0161', 1, 2, 0, 6, 0 )
 #endif
Index: palm/trunk/SOURCE/subsidence_mod.f90
===================================================================
--- palm/trunk/SOURCE/subsidence_mod.f90	(revision 3044)
+++ palm/trunk/SOURCE/subsidence_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -145,5 +148,5 @@
 
        IF ( ocean )  THEN
-          message_string = 'Applying large scale vertical motion is not ' // &
+          message_string = 'Applying large scale vertical motion is not ' //   &
                            'allowed for ocean runs'
           CALL message( 'init_w_subsidence', 'PA0324', 2, 2, 0, 6, 0 )
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 3044)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error message revised
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -167,12 +170,12 @@
 
     IF ( terminate_coupled_remote > 0 )  THEN
-       WRITE( message_string, * ) 'remote model "',                         &
-                                  TRIM( coupling_mode_remote ),             &
-                                  '" terminated',                           &
-                                  '&with terminate_coupled_remote = ',      &
-                                  terminate_coupled_remote,                 &
-                                  '&local model  "', TRIM( coupling_mode ), &
-                                  '" has',                                  &
-                                  '&terminate_coupled = ',                  &
+       WRITE( message_string, * ) 'remote model "',                            &
+                                  TRIM( coupling_mode_remote ),                &
+                                  '" terminated',                              &
+                                  ' with terminate_coupled_remote = ',         &
+                                  terminate_coupled_remote,                    &
+                                  ' local model  "', TRIM( coupling_mode ),    &
+                                  '" has',                                     &
+                                  ' terminate_coupled = ',                     &
                                    terminate_coupled
        CALL message( 'surface_coupler', 'PA0310', 1, 2, 0, 6, 0 )
